| Home | Libraries | People | FAQ | More

###### value::value (24 of 35 overloads)

Construct a `string`.

###### Synopsis

    value(
        string const& other,
        storage_ptr sp);

###### Description

The value is copy constructed from `other`, using the specified memory resource.

###### Complexity

Linear in `other.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`other` | The string to construct with.
`sp` | A pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource.